void put_char(int i, char a);
int str_len(char* str);

int main(){

  char* b = "Hello Mics SH-GDB";
  int i, len;
  len = str_len(b);
  for(i = 0; i < len; i++){
	put_char(i, b[i]);
  }
}

int str_len(char* str){
  int i = 0;
  while(str[i] != '\0'){
	i++;
  }
  return i;
}

#define DISPLAY_ADDR (0x08000000)
void put_char(int i, char a){
  (*(char*)(i+DISPLAY_ADDR)) = a;
}
